Page MenuHomePhabricator

Migration to Gnome-Shell / port to GNOME-ish applications
Closed, WontfixPublic

Description

There are major advantages to migrating DE.

  • Better accessibility support (as mentioned) in T457
  • Wayland support = better performance/security. Gnome-Shell and Wayland are reportedly working in Debian Jessie.
  • Gnome-Shell is the Gnome variant that does not require any GPU acceleration support - essential for VM performance constraints.

port to GNOME-ish applications:
https://github.com/QubesOS/qubes-issues/issues/1781

TODO:

  • gnome
  • auto login
  • disable auto screen lock
  • kdesudo -> gksudo
  • disable blank screen
  • disable gnome system sounds?
  • systray settings?

forum discussion:
https://forums.whonix.org/t/updating-whonix-from-jessie-to-stretch-migration-to-gnome-shell-port-to-gnome-ish-applications

Details

Impact
Normal

Event Timeline

HulaHoop created this task.Feb 5 2016, 7:04 AM

Important features:

  • self-contained dependencies like libgtk are used throughout the programs suite.
Patrick renamed this task from Migration to Gnome-Shell to Migration to Gnome-Shell / port to GNOME-ish applications.Mar 15 2016, 4:01 PM
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)

Since changing from kde to gnome is not so simple, since many packages have to be changed (kde vs gnome, jessie vs stretch), I think it's best to delay this change and implement it when porting Whonix to Debian version 9 codename Stretch.

Patrick updated the task description. (Show Details)Nov 23 2016, 4:12 AM
Patrick updated the task description. (Show Details)Nov 23 2016, 4:52 AM
Patrick updated the task description. (Show Details)Nov 23 2016, 5:00 AM
Patrick updated the task description. (Show Details)Nov 23 2016, 5:33 AM
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)Nov 23 2016, 5:36 AM
Patrick closed this task as Wontfix.Jan 12 2017, 9:37 AM
Patrick claimed this task.